%{
#define YYSTYPE long long int
#include "nLargestPolynomial.tab.h"
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
%}


%%
[ \t]+      { ; }  /* elimina espaços e "tabs */

"The biggest polynomial obtained during proof process contained" { //printf("1-");
                                     return(PreNumberTerms);
                                   }  

"terms." { //printf("3-");
                                     return(PosNumberTerms);
                                   }  

[0-9]+ {  //printf("2-");
	  sscanf(yytext,"%lld",&yylval); 
          return(INT);
       }

\n         return (yytext[0]); 

.        { ; /* ignora tudo o resto */ }

%%


int yywrap()                  /* called by yylex()                  */
{ return(1); }                /*   0: yylex() continues reading     */
                              /*   other: yylex() stops             */
